Bug 826035 - host kernel panic when passing usb audio device to guest
host kernel panic when passing usb audio device to guest
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jaroslav Kysela
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 08:40 EDT by Gerd Hoffmann
Modified: 2013-12-13 13:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 13:23:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot (digicam) (4.65 MB, image/jpeg)
2012-05-29 08:44 EDT, Gerd Hoffmann
no flags Details
serial log #1 (4.53 KB, text/plain)
2012-05-29 09:24 EDT, Gerd Hoffmann
no flags Details
serial console log #2 (16.20 KB, text/plain)
2012-05-29 09:25 EDT, Gerd Hoffmann
no flags Details

  None (edit)
Description Gerd Hoffmann 2012-05-29 08:40:21 EDT
Description of problem:
host kernel panics when assigning a usb audio device (logitech usb speaker) to a kvm guest.

Version-Release number of selected component (if applicable):
kernel-2.6.32-274.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install guest (/me used rhel6, but probably doesn't matter).
2. Boot guest.
3. Start pulseaudio volume control on the host machine.
4. Assign usb speaker to the guest (virt-manager -> add hardware -> usb host device).
  
Actual results:
host kernel panics

Expected results:
host continues to run fine

Additional info:
With pulseaudio volume control not started it works just fine.

Most likely triggered by qemu sending usbfs ioctls (USBDEVFS_DISCONNECT or USBDEVFS_RESET) to the usb speakers while they are in use by pulse.
Comment 2 Gerd Hoffmann 2012-05-29 08:44:00 EDT
Created attachment 587398 [details]
screen shot (digicam)
Comment 3 Gerd Hoffmann 2012-05-29 09:24:10 EDT
Created attachment 587408 [details]
serial log #1
Comment 4 Gerd Hoffmann 2012-05-29 09:25:46 EDT
Created attachment 587411 [details]
serial console log #2
Comment 8 Jaroslav Kysela 2012-11-23 09:54:47 EST
The ALSA USB driver was updated in recent RHEL 6.4 kernels.

Could you retest with the latest RHEL 6 kernel?
Comment 9 Gerd Hoffmann 2012-11-27 08:23:00 EST
Tested with 2.6.32-344.el6.x86_64, working fine now.
Comment 10 John W. Linville 2013-12-13 13:23:36 EST
Closing on the basis of comment 9...

Note You need to log in before you can comment on or make changes to this bug.